Bug 45965 - ksu prints syslog messages to stderr
Summary: ksu prints syslog messages to stderr
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: krb5   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-26 04:30 UTC by Matthew Melvin
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-26 04:30:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:100 normal SHIPPED_LIVE : Updated Kerberos 5 packages now available 2001-08-02 04:00:00 UTC

Description Matthew Melvin 2001-06-26 04:30:29 UTC
Description of Problem:

ksu prints syslog messages to stderr even when using the -q (quiet) option.

[user@hostname ~]$ ksu -q
ksu[24196]: 'ksu root' authenticated user@REALM for user on /dev/pts/4
ksu[24196]: Account root: authorization for user@REALM successful
[root@hostname /home/user]#

This would seem to be due to LOG_AUTH being used as an option to the
openlog() call in krb5-1.2.2/src/clients/ksu/main.c instead of just a
facility...

#ifndef LOG_AUTH /* 4.2 syslog */
    openlog(prog_name, LOG_PID|LOG_NDELAY);
#else
    openlog(prog_name, LOG_PID | LOG_AUTH | LOG_NDELAY, LOG_AUTH);
#endif /* 4.2 syslog */

It should prolly just read...

#ifndef LOG_AUTH /* 4.2 syslog */
openlog(prog_name, LOG_PID|LOG_NDELAY);
#else
openlog(prog_name, LOG_PID | LOG_NDELAY, LOG_AUTH);
#endif /* 4.2 syslog */

Comment 1 Nalin Dahyabhai 2001-06-27 18:28:30 UTC
This will be changed in krb5-1.2.2-9 and later.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.